{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% from 'SyliusResourceBundle:Macros:actions.html.twig' import update %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_catalog_backend_list') }}">Catalogs</a></li>
        <li>{{ 'sylius.breadcrumb.update'|trans }}</a></li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <h1><i class="glyphicon glyphicon-plus"></i> Update catalog</h1>
    </div>

    {{ form_errors(form) }}

    <div class="row">
        {% include "@ElbotradeCatalog/Partial/multi_upload.html.twig" %}
        {{ form_start(form, {'class': 'form-horizontal', 'method': 'POST', 'name': 'crateCatalog', 'attr': {'id': 'updateCatalog'}}) }}
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>{{ form_row(form.name) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.active) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.locale) }}</td>
                </tr>
                <tr>
                    <td>{{ form_row(form.category) }}</td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            <table class="table table-bordered">
            <thead>
                <tr>
                    <th colspan="2">Media</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{% for image in images %}
                            <a href="{% path image, 'big' %}" class="images">{% thumbnail image, 'small' %}</a>
                        {% endfor %}
                        <div class="file-uploader"></div>
                    </td>
                </tr>
                <tr>
                    <td>{{ form_row(form.cover) }}</td>
                </tr>
            </tbody>
        </table>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            {{ update() }}
        </div>
        {{ form_end(form) }}
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('bundles/elbotradecatalog/js/underscore-min.js') }}"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <script src="{{ asset('bundles/punkavefileuploader/js/jquery.fileupload.js') }}"></script>
    <script src="{{ asset('bundles/punkavefileuploader/js/jquery.iframe-transport.js') }}"></script>
    <script src="{{ asset('bundles/punkavefileuploader/js/FileUploader.js') }}"></script>
    <script src="{{ asset('bundles/elbotradeproduct/js/jquery.colorbox-min.js') }}"></script>
    <script src="{{ asset('bundles/elbotradeproduct/stylesheets/colorbox.css') }}"></script>

    <script type="text/javascript">
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#image-preview')
                            .attr('src', e.target.result)
                            .width(100)
                            .height(100);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }

        function openBrowser() {
            $('#updateCatalog input[type=file]').click();
        }

        $(function() {
            new PunkAveFileUploader({
                'uploadUrl': {{ path('multi-upload', {editId: editId}) | json_encode | raw }},
                {#'viewUrl': {{ ('/uploads/tmp/attachments/' ~ editId) | json_encode | raw }},#} {# sluzi na vyhladavanie uz uploadnutych fotkach #}
                'el': '.file-uploader',
                'existingFiles': {{ punkave_get_files('tmp/attachments/' ~ editId) | json_encode | raw }},
                'delaySubmitWhileUploading': '#galleryUpload'
            });
        });

        $(document).ready(function() {
            $(".images").colorbox({ rel: 'images'});
        })
    </script>
{% endblock %}